Subject: Re: [spf:guess] Re: Bug? git-svn clone dies with "fatal: ambiguous argument '...': unknown revision or path not in the working tree."

From: Sam Vilain <[email-masked]>
Date: Fri, 15 Jan 2010 12:57:30 +1300

Eric Wong wrote:
>> It chugged along happily for a while, but then died like this:
>>
>> fatal: ambiguous argument
>> '2d2df13977551168a54ffa9b706484242a58736a^..d038748d49a0de5802fe3c13f46d0e080d064290':
>>     
> [...]
> As we see below, d038748d49a0de5802fe3c13f46d0e080d064290 is a merge
> commit.  So I'll Cc Sam and Andrew on this since they know their way
> around the mergeinfo stuff far better than I do and will hopefully have
> some insight into things.
>
> Since it's probably related to the new mergeinfo handling, reverting to
> a version without it (1.6.5.7) might be the best way to go for now.
>   

I'm at a loss. I can't get my rev-list to say "ambiguous argument" when
I pass it a similar range (eg d4e1b47a9225^..a24a32dd on git.git). Why
does it matter that the d038748 commit is a merge commit?

Eric H, is this repository available publicly for me to test? I guess
it's possible that argument is not being passed to rev-list but to some
other command ... would be nice to be able to reproduce it.

Sam